Bug 607131 - kdump should fail earlier if the fs type is not supported
kdump should fail earlier if the fs type is not supported
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Cong Wang
Lubos Kocman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 06:32 EDT by Lubos Kocman
Modified: 2013-09-29 22:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: kexec-tools-2_0_0-99_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:46:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (3.18 KB, application/octet-stream)
2010-06-23 06:32 EDT, Lubos Kocman
no flags Details
proposed patch (1.43 KB, patch)
2010-06-24 02:09 EDT, Cong Wang
no flags Details | Diff

  None (edit)
Description Lubos Kocman 2010-06-23 06:32:10 EDT
Created attachment 426223 [details]
boot log

Description of problem:

Hello,

here is the issue that I'm facing every boot


No kdump initial ramdisk found.                            [WARNING]
Rebuilding /boot/initrd-2.6.32-37.el6.x86_64kdump.img
/etc/kdump.conf: Unsupported type btrfs
Failed to run mkdumprd


BTRFS is unsupported (I can understand this)
But this fs check should be done before rebuilding ramdisk.

As I have to wait 30seconds each boot to rebuild a ramdisk, which will be most probably removed -> then next boot removed again, after detecting that I'm using btrfs. 

sudo ls -la /boot/initrd-2.6.32-37.el6.x86_64kdump.img
ls: cannot access /boot/initrd-2.6.32-37.el6.x86_64kdump.img: No such file or directory


[lkocman@stardestroyer Desktop]$ grep btrfs /etc/fstab 
/dev/mapper/rootvg-lv_root /                       btrfs   defaults        1 1
/dev/mapper/rootvg-lv_home /home                   btrfs   defaults        1 2


Version-Release number of selected component (if applicable):

$ rpm -qa kexec-tools crash* kernel
crash-5.0.0-19.el6.x86_64
kexec-tools-2.0.0-84.el6.x86_64
crash-trace-command-1.0-3.el6.x86_64
kernel-2.6.32-37.el6.x86_64

How reproducible:


Steps to Reproduce:
1. Install latest RHEL 6 with btrfs root fs.
2. Boot the machine -> wait for rebuilding ramdisk
3. Reboot the machine -> wait for rebuilding ramdisk (again and again ...)
  
Actual results:

Ramdisk is being rebuilded each boot.

Expected results:

Ramdisk most probably shouldn't be rebuiled if the rootfs is not supported.
Comment 2 RHEL Product and Program Management 2010-06-23 07:07:16 EDT
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. It has been proposed for the next Red Hat Enterprise Linux
release. If you would still like it considered for the current
release as an exception, please make that request with your support
representative.
Comment 3 Cong Wang 2010-06-24 02:09:30 EDT
Created attachment 426458 [details]
proposed patch

Hmm, I think we should move the fs type checking earlier, so that if an fs type is not supported, mkdumprd will fail sooner.

Does this satisfy you?
Comment 4 Lubos Kocman 2010-06-24 03:54:37 EDT
Hello,

this would be perfect. Thank you.
Comment 5 Cong Wang 2010-06-24 04:25:51 EDT
Thanks, Lubos.

Cai mentioned that there is actually no /sbin/fsck.btrfs for btrfs, it is /sbin/btrfsck, so the checking code in mkdumprd is not correct for btrfs. Thus you should be able to use btrfs for kdump.

I suggest him to open another BZ for this.
Comment 7 RHEL Product and Program Management 2010-06-25 00:42:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 9 Lubos Kocman 2010-07-22 09:42:04 EDT
Verified on kexec-tools-2.0.0-99.el6

I believe that I can't move this to verified based on not having this issue. Actually it's not appearing due fixing that btrfsck issue.

Lubos
Comment 10 releng-rhel@redhat.com 2010-11-11 09:46:15 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.